/**
  *  \file client/actions/garemote.h
  *  \brief Global Actions: Remote Control
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_ACTIONS_GAREMOTE_H
#define PCC_V2_CLIENT_ACTIONS_GAREMOTE_H

#include "client/globalact.h"
#include "client/remote.h"

/** "Set remote control" global action. This action is parameterized
    with a verb to set, see setRemoteControl. */
class WGlobalRemoteControlAction : public WGlobalAction {
    class Executer;
    TRemoteControlVerb verb;
 public:
    WGlobalRemoteControlAction(TRemoteControlVerb verb)
        : verb(verb)
        { }
    ~WGlobalRemoteControlAction();
    WGlobalActionExecuter* prepare();
};

#endif
