/**
  *  \file client/widgets/specmaininfo.h
  *  \brief Ship Specification Main Information
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_SPECMAININFO_H
#define PCC_V2_CLIENT_WIDGETS_SPECMAININFO_H

#include "game/shipquery.h"
#include "ui/ui.h"

void
drawHullFunctionList(GfxContext& ctx, const GfxRect& pos, const GHullFunctionList& hflist, const GShipQuery& query, string_t prefix);

class WSpecMainInfo : public UIWidget {
    GShipQuery query;
 public:
    WSpecMainInfo();
    ~WSpecMainInfo();

    void getLayoutInfo(LayoutInfo& info);
    void drawContent(GfxCanvas& can);

    void setQuery(const GShipQuery& query);
};

#endif
