/**
  *  \file resmgr/resid.h
  *  \brief Standard Resource Id Strings
  *
  *  (c) 2001-2024 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_RESMGR_RESID_H
#define PCC_V2_RESMGR_RESID_H

/** Standard Resource Id Strings. These strings are used to construct
    ResId objects. */
namespace res {
    /** Picture: ship(pic, hull). */
    extern const char ship[];

    /** Picture: planet(temp, id). */
    extern const char planet[];

    /** Picture: base(highest_tech, id). */
    extern const char base[];

    /** Picture: rship(pic, hull), lship(pic, hull). */
    extern const char rship[], lship[];

    /** Picture: vcr.ftr(race). */
    extern const char vcr_ftr[];

    /** Sound: vcr.beam(type), vcr.tlaun(type). vcr.beam0 is fighter beam. */
    extern const char vcr_beam[], vcr_tlaun[];

    /** Picture: ship.rotated(hull, angle). */
    extern const char ship_rotated[];
};

#endif
